Description

I have tried to make some improvement of cue plugin.

During my attempt I have found a strange memory corruption. It happens

not every time.

It is only happens after:

base_tuple = aud_file_read_tuple (filename, decoder);

It is easy to find that place in cue.c.

It breaks data stored in memory allocated form the heap using malloc() .

To reproduce it I need to open using "open files" the same cue file ( a lot of tracks and

only one flac file) 5-10 times. I will get distorted lengths of the songs.

My system is Ubuntu 13.04.

History

#1 - October 23, 2013 00:35 - John Lindgren

Two important questions:

1) What change did you make to the cue plugin?

2) Did the memory corruption occur before or after you made that change?

#2 - October 23, 2013 10:40 - Andrey Karpenko

Hi John

I have made double check to be sure.

And I have found the problem.

I have configured audacious again with recommended command './configure --prefix=/usr' instead of './configure' , and all bugs have disappeared,

original and improved version of cue plugin work without problems.

May be the old version from ubuntu repository was not completely uninstalled and it was a mix of old and new files. I don't know why ;( because, I

have used purge option to do it.

Thank you for your help. I think it a time to close this bug ;)

Ones more question. How can I add the improved cue plugin to main stream source code.

Thanks

May 03, 2025 1/2



#3 - October 24, 2013 00:07 - John Lindgren

- Status changed from New to Rejected

Andrey Karpenko wrote:

Thank you for your help. I think it a time to close this bug ;)

 

Closing.

Ones more question. How can I add the improved cue plugin to main stream source code.

 

First say how you improved it.

#4 - October 24, 2013 20:23 - Andrey Karpenko

Hello John

I have already implement "express cue file repair possibility"

1) file extension auto detect (usually cue files containing links to files with .wav extension, but actually a media contains *.flac or *.mp3 files)

2) relative paths auto remove (usually cue files containing a wrong relative paths, but actually current directory contains the required audio files)

And I am going to implement some more improvements

for example:

1) possibility to read cue files containing links to multiple files and also the track number is bigger then number of files. Nowadays cue plugin cannot

read such files correctly.

2)...
